#define LED   3
#define LED_PERIODA  500

unsigned long _led_cas;  // promenna s aktualni hodnotou casove znacky (32b)

void LED_nastav() {
  pinMode(LED, OUTPUT);   // nastaveni pinu 2 jako vystup  
  _led_cas = millis();   // ulozeni aktualniho casu jako casove znacky  
}

void LED_delej() {
  if(millis() - _led_cas >= LED_PERIODA) {  // je-li doba od posledni akce >= perioda
    digitalWrite(LED, !digitalRead(LED)); // zmen hodnotu vystupu
    _led_cas += LED_PERIODA;                // posun casovou znacku o 500ms
  }
}

void setup() {
  LED_nastav();
}         

void loop() { 
  LED_delej();
}
